
QGIS Application - Bug report #16125

QGIS Server when creates the UPDATE query to postgis sets date field ='' instead of null which 

triggers an error in the DB

2017-01-27 02:50 AM - Aitor Gil

Status: Closed

Priority: Normal

Assignee: René-Luc ReLuc

Category: QGIS Server

Affected QGIS version:2.18.3 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 24037

Description

I noticed in QGIS Server 2.18.3 and using QGIS Desktop 2.18.3 client the following:

I have a postgis table with a date field called "fecha_inst".

A user is updating the table using WFS-T protocol from outside our network.

1. When de user updates a feature and does not fill this "fecha_inst" date field, the field remains null and there is no problem.

2. After this the user fills the field (with the date QGIS Widget) and it is updated in the DB ok.

3. But after this, when the field is already filled and the user deletes its content and saves, when the QGIS Server converts the HTTP

package to SQL UPDATE query, it sets "fecha_inst"='' instead of "feach_inst"=NULL. This raises the following error in the BD which is

shown also in QGIS:

"PostGIS error while changing attributes: ERROR: invalid input syntax for date: <<>>"

History

#1 - 2017-03-06 02:53 PM - Giovanni Manghi

- Affected QGIS version changed from master to 2.18.3

- Priority changed from High to Normal

#2 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-10-20 10:16 AM - René-Luc ReLuc

- Assignee set to René-Luc ReLuc

- Description updated

#4 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
